Retrieve a list of content pillars
curl --request GET \
--url https://app.heyoo.ai/api/content-pillars \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.heyoo.ai/api/content-pillars"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.heyoo.ai/api/content-pillars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.heyoo.ai/api/content-pillars",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.heyoo.ai/api/content-pillars"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.heyoo.ai/api/content-pillars")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.heyoo.ai/api/content-pillars")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"color": "red",
"status": "published",
"authorId": "<string>",
"workspaceId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#internal-server_error"
}
}Content Pillars
Retrieve a list of content pillars
Retrieve a list of content pillars for the authenticated workspace.
GET
/
content-pillars
Retrieve a list of content pillars
curl --request GET \
--url https://app.heyoo.ai/api/content-pillars \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.heyoo.ai/api/content-pillars"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.heyoo.ai/api/content-pillars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.heyoo.ai/api/content-pillars",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.heyoo.ai/api/content-pillars"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.heyoo.ai/api/content-pillars")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.heyoo.ai/api/content-pillars")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"color": "red",
"status": "published",
"authorId": "<string>",
"workspaceId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#internal-server_error"
}
}Authorizations
Default authentication mechanism
Query Parameters
The field to sort the content pillars by.
Available options:
title, createdAt The order to sort the content pillars by.
Available options:
asc, desc The search term to filter the content pillars by.
IDs of content pillars to filter by.
The page number for pagination.
Required range:
x > 0Example:
1
The number of items per page.
Required range:
0 < x <= 100Example:
50
Response
A list of content pillars
The unique ID of the content pillar.
The title of the content pillar.
The description of the content pillar.
The color of the content pillar.
Available options:
red, yellow, green, blue, purple, brown The status of the content pillar.
Available options:
published, archived The ID of the user who created this pillar.
The ID of the workspace this pillar belongs to.
When the content pillar was created.
When the content pillar was last updated.
Was this page helpful?

